%define name		omquery
%define version		0.92.3
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XPath interface for XT
License:	BSD style
Group:		Development/Java
Source:		%{name}.zip
Source1:        %{name}.build.script.bz2
Url:		http://www.geocities.com/takuki_kamiya/pub/XPath4XT.html
Requires:	xt-dash
BuildRequires:	ant
BuildRequires:	xt-dash
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage project

%description
XPath interface for XT provides for DOM query API facifities on top of XT.
It is implemented in Java language and complies with W3C's XPath Proposed
Recommendation as is currently implemented in XT.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}
bzcat %{SOURCE1} > build.xml
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=%{javadir}/xt-dash.jar
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt copying.txt
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Wed Apr 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.92.3-1jpp 
- first JPackage release
